curl --request PUT \
--url https://api.eflow.team/v1/networks/custom/creative/{settingId} \
--header 'Content-Type: application/json' \
--header 'X-Eflow-Api-Key: <api-key>' \
--data '
{
"network_offer_creative_ids": [
10,
20
],
"network_affiliate_ids": [
100,
200
],
"name": "Updated Holiday Banner",
"custom_setting_status": "active",
"creative": {
"network_id": 1,
"network_offer_id": 5,
"name": "Updated Banner Creative",
"creative_type": "html",
"is_private": false,
"creative_status": "active",
"html_code": "<div>Updated ad content</div>",
"width": 300,
"height": 250,
"additional_offer_ids": [],
"is_apply_specific_affiliates": false
}
}
'import requests
url = "https://api.eflow.team/v1/networks/custom/creative/{settingId}"
payload = {
"network_offer_creative_ids": [10, 20],
"network_affiliate_ids": [100, 200],
"name": "Updated Holiday Banner",
"custom_setting_status": "active",
"creative": {
"network_id": 1,
"network_offer_id": 5,
"name": "Updated Banner Creative",
"creative_type": "html",
"is_private": False,
"creative_status": "active",
"html_code": "<div>Updated ad content</div>",
"width": 300,
"height": 250,
"additional_offer_ids": [],
"is_apply_specific_affiliates": False
}
}
headers = {
"X-Eflow-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-Eflow-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
network_offer_creative_ids: [10, 20],
network_affiliate_ids: [100, 200],
name: 'Updated Holiday Banner',
custom_setting_status: 'active',
creative: {
network_id: 1,
network_offer_id: 5,
name: 'Updated Banner Creative',
creative_type: 'html',
is_private: false,
creative_status: 'active',
html_code: '<div>Updated ad content</div>',
width: 300,
height: 250,
additional_offer_ids: [],
is_apply_specific_affiliates: false
}
})
};
fetch('https://api.eflow.team/v1/networks/custom/creative/{settingId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"network_custom_creative_setting_id": 123,
"network_id": 123,
"network_offer_creative_ids": [
123
],
"network_affiliate_ids": [
123
],
"name": "<string>",
"time_created": 1734455015,
"time_saved": 1734455015,
"relationship": {
"affiliates": [
{}
],
"creative": {}
}
}Update Custom Creative Setting
Update an existing custom creative setting. All fields must be provided in the request body.
Authorizations
The Everflow API key generated from the Control Center > Security.
Path Parameters
The custom creative setting identifier.
Body
List of affiliate IDs this setting applies to.
Custom creative setting name.
Setting status.
active, inactive Creative object to create inline. A new creative is always created from this object.
Show child attributes
Show child attributes
List of offer creative IDs to assign. When a creative object is provided, the newly created creative's ID will replace the values in this array.
Response
Unique custom creative setting ID.
Network ID.
List of offer creative IDs assigned.
List of affiliate IDs this setting applies to.
Custom creative setting name.
Setting status.
active, inactive Unix timestamp of creation.
1734455015
Unix timestamp of last update.
1734455015
Show child attributes
Show child attributes
Was this page helpful?
